Name:           python-dumptruck
Version:        0.1.6
Release:        6%{?dist}
Summary:        Relaxing interface to SQLite

License:        MIT
URL:            https://pypi.python.org/pypi/dumptruck
Source0:        https://pypi.python.org/packages/source/d/dumptruck/dumptruck-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel

%description
DumpTruck is a document-like interface to a SQLite database.


%prep
%setup -q -n dumptruck-%{version}
find -name '*.py' |xargs sed '/^#!/d' -i


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%{python2_sitelib}/*
%doc README.txt


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Aug 06 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.1.6-3
- Use versioned macro for sitelib too (Christopher Meng, #1123400)

* Tue Aug 05 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.1.6-2
- Use versioned macro & BR for Python 2 (Christopher Meng, #1123400)

* Fri Jul 25 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.1.6-1
- Initial packaging
